# List Payment Methods

To get the supported payment method for a currency, make a **GET** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/buy/payment-methods?currency=KES&country_code=KE
```

{% endcode %}

The request takes `currency`  and `country_code`   as query params.&#x20;

With the following header

```
x-auth-token: <PUBLIC_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "status": "success",
    "data": {
        "payment_methods": [
            {
                "name": "Bank Transfer",
                "id": "instant_p2p",
                "active": true
            }
        ]
    }
}
```

{% hint style="info" %}
In extremely rare cases where a particular payment method might be down, the **`active`** field would be **`false`**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.localramp.co/crypto-on-ramp/list-payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
